Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Class AllegroGraphException

    java.lang.Object
      com.franz.ag.AllegroGraphException
          com.franz.agbase.AllegroGraphException

    public class AllegroGraphException

extends com.franz.ag.AllegroGraphException

AllegroGraph exceptions.

Constructor Summary
`AllegroGraphException()`
`AllegroGraphException(java.lang.String arg0)`
`AllegroGraphException(java.lang.String arg0, java.lang.Throwable arg1)`
`AllegroGraphException(java.lang.Throwable arg0)`

Method Summary
`static void` | `mapAEx(java.lang.String name, java.lang.String msg, boolean throwAlways)` Map a name to a AllegroGraphException subclass.
`static void` | `mapREx(java.lang.String name, java.lang.String msg, boolean throwAlways)` Map a name to a RuntimeException subclass.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllegroGraphException

    public AllegroGraphException()

### AllegroGraphException

    public AllegroGraphException(java.lang.String arg0)

Parameters:
  `arg0` -

### AllegroGraphException

    public AllegroGraphException(java.lang.String arg0,
                                 java.lang.Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -

### AllegroGraphException

    public AllegroGraphException(java.lang.Throwable arg0)

Parameters:
  `arg0` -

Method Detail

### mapREx

    public static void mapREx(java.lang.String name,
                              java.lang.String msg,
                              boolean throwAlways)

  Map a name to a RuntimeException subclass.

  Parameters:
    `name` - An error name sent from the server
    `msg` - The error message from the server
    `throwAlways` - The behavior if name is not found in table. If false, return; if true, throw IllegalArgumentException.

### mapAEx

    public static void mapAEx(java.lang.String name,
                              java.lang.String msg,
                              boolean throwAlways)
                       throws AllegroGraphException

  Map a name to a AllegroGraphException subclass.

  Parameters:
    `name` - An error name sent from the server
    `msg` - The error message from the server
    `throwAlways` - The behavior if name is not found in table. If false, return; if true, throw plain AllegroGraphException.
  Throws:
    `AllegroGraphException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD